Assinar webhooks para uma WABA
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/webhook-subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"overrideCallbackUri": "https://your-app.com/webhooks/whatsapp",
"verifyToken": "shared-secret"
}
'{
"success": true
}Webhooks
Assinar webhooks para uma WABA
Assinar webhooks para uma WABA. Consulte os parâmetros, o exemplo e as respostas disponíveis para esta operação.
POST
/
meta
/
wabas
/
{wabaId}
/
webhook-subscriptions
Assinar webhooks para uma WABA
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/webhook-subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"overrideCallbackUri": "https://your-app.com/webhooks/whatsapp",
"verifyToken": "shared-secret"
}
'{
"success": true
}Autorizações
Token bearer da Eazybe. O token identifica a organização e deve ser mantido no servidor.
Parâmetros de caminho
ID da conta do WhatsApp Business retornado por GET /meta/phone-numbers.
Corpo
application/json
Resposta
200 - application/json
App subscribed to this WABA's events
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | wabaId not linked to your organization | Verify the id |
400 | Callback URL failed Meta's verification handshake, or is not HTTPS | Return hub.challenge on the GET handshake |
502 | Graph unreachable or timed out | Retry with backoff |
Esta página foi útil?